"""
Autor: Matěj Vohradský (vohry8@students.zcu.cz)
Datum: 2023-11-01
Program: Generator vysledku
Verze: 1.0.0
"""

# baze dat
import baze_dat as bd
# komunikacni modul
import komunikacni_modul as km


# prida udaj do udaje
def pridej_udaj(pocet_LED, pocet_zarovek, pocet_zarivek, pokoj):
    udaje.append((pocet_LED, pocet_zarovek, pocet_zarivek, pokoj))


# vypracuje a odesle vysledek do komunikacniho modulu
def odesli_vysledek():
    vysledek = ""
    cena = 0
    pocet_LED = 0
    pocet_zarovek = 0
    pocet_zarivek = 0
    # projde kazdy udaj v udaje
    for udaj in udaje:
        vysledek += "Do místnosti " + udaj[3] + " bylo vybráno "
        # kontroluje pocet danych svitidel aby spravne vytvoril odpoved
        if udaj[0] > 0:
            vysledek += str(udaj[0]) + "krát svítidlo LED žárovka"
            cena += udaj[0] * bd.svitidla[0].cena
            pocet_LED += udaj[0]
        # kontroluje pocet danych svitidel aby spravne vytvoril odpoved
        if udaj[1] > 0:
            if udaj[0] > 0:
                vysledek += ", " + str(udaj[1]) + "krát svítidlo žárovka"
                cena += udaj[1] * bd.svitidla[1].cena
                pocet_zarovek += udaj[1]
            else:
                vysledek += str(udaj[1]) + "krát svítidlo žárovka"
                cena += udaj[1] * bd.svitidla[1].cena
                pocet_zarovek += udaj[1]
        # kontroluje pocet danych svitidel aby spravne vytvoril odpoved
        if udaj[2] > 0:
            if udaj[0] > 0 or udaj[1] > 0:
                vysledek += ", " + str(udaj[2]) + "krát svítidlo zářivka"
                cena += udaj[2] * bd.svitidla[2].cena
                pocet_zarivek += udaj[2]
            else:
                vysledek += str(udaj[2]) + "krát svítidlo zářivka"
                cena += udaj[2] * bd.svitidla[2].cena
                pocet_zarivek += udaj[2]
        # pripad kdy uzivatel zada o pokoj vic a nehce do nej nic koupit
        if udaj[0] == 0 and udaj[1] == 0 and udaj[2] == 0:
            vysledek = vysledek.removesuffix("bylo vybráno ")
            vysledek += "nebylo vybráno žádné svítidlo"
        vysledek += ".\n"
    vysledek += "Celkem bylo vybráno " + str(pocet_LED) + "krát LED žárovka, " + str(pocet_zarovek) \
                + "krát žárovka a " + str(pocet_zarivek) + "krát zářivka. Celková cena je " + str(cena) + " CZK.\n"
    vysledek += "Celkový počet potřebných světel je " + str(pocet_LED + pocet_zarovek + pocet_zarivek) + ".\n"
    # necha komunikacni modul vypsat vysledek
    km.vypis_zaver(vysledek)


# udaje
udaje = []
