"""
Autor: Matěj Vohradský (vohry8@students.zcu.cz)
Datum: 2023-11-01
Program: Komunikacni modul
Verze: 1.0.0
"""


# vypise uvod
def vypis_uvod():
    print("Vítáme Vás ve znalostním systému pro návrh osvětlení.")
    print("Níže se Vás systém zeptá na místnosti vašeho bytu a umožní vám specifikovat Vaše požadavky.")
    print("Ovládání: počet místností zadáváte číslem,"
          " specifikaci požadavku na světelný zdroj zadáváte zapsáním čísla z nabídky.")
    print("Zadání musí být vždy potvrzeno klávesou ENTER")
    print("=================================================================================================")


# zepta se na pocet pokoju typu "pokoj"
def pocet_pokoju(pokoj):
    vstup = input("Kolik máte místností typu " + pokoj + "? ")
    # bude se opakovat dokud nebude zadan spravny vstup
    while not vstup.isdigit():
        vstup = input("Nebyla zadána správná hodnota, kolik máte místností typu " + pokoj + "? ")
    return int(vstup)


# zepta se na preferovanou vlastnost svitidla do pokoje typu "pokoj"
def vlastnost_svitidla(pokoj):
    print("Níže vyberte preferovanou vlastnost svítidla do mistnosti typu " + pokoj + ".")
    print("1) Nízká pořizovací cena")
    print("2) Nízké provozní náklady")
    print("3) Bezpečnost")
    print("4) Tepelná odolnost")
    print("5) Dlouhá životnost")
    vlastnost = input("Zvolte preferovanou vlastnost: ")
    # bude se opakovat dokud nebude zadan spravny vstup
    while (vlastnost != "1") and (vlastnost != "2") and (vlastnost != "3") and (vlastnost != "4") and (
            vlastnost != "5"):
        vlastnost = input("Nebyla spravne zadana vlastnost, zadejte cislo od 1 do 5: ")
    return int(vlastnost)


# zepta se na pocet svitidel
def pocet_svitidel():
    vstup = input("Kolik svítidel potřebujete? ")
    # bude se opakovat dokud nebude zadan spravny vstup
    while not vstup.isdigit():
        vstup = input("Nebyla zadána správná hodnota, kolik svítidel potřebujete? ")
    return int(vstup)


# zepta se jestli chce uzivatel pokracovat ve vyberu svitidel
def pokracovat():
    vstup = input("Chcete pokračovat ve výběru svítidel do tohoto pokoje? [A/N]: ")
    # bude se opakovat dokud nebude zadan spravny vstup
    while vstup.upper() != "A" and vstup.upper() != "N":
        vstup = input("Nebyla zadána správná hodnota, chcete pokračovat ve výběru svítidel do tohoto pokoje? [A/N]: ")
    if vstup.upper() == "A":
        return 1
    else:
        return 0


# vykresli caru
def cara():
    print("-------------------------------------------------------------------------------------------------")


# vypise zaver
def vypis_zaver(text):
    print("=================================================================================================\n")
    print(text)
    input("Program ukoncite stisknutim klavesy ENTER")
