"""
expertni system cviceni 5
autor: Miroslav Martinek
inferencni mechanismus ridi proces programu a vytvari odpoved
"""
import bazeFaktu, bazeZnalosti, komunikacniModul


# startuje potrebne procesy
def start():
    parametry = komunikacniModul.dialog(getMoznostiMistnost())
    odpoved = najitOdpoved(parametry)
    komunikacniModul.vypisOdpoved(odpoved)


# formatuje moznosti mistnosti a jejich celkovy pocet
def getMoznostiMistnost():
    moznoti = ""
    citac = 0
    for x in bazeFaktu.mistnosti:
        moznoti += str(citac) + "=" + x.nazev + ";"
        citac += 1

    return [moznoti, citac - 1]


# hleda odpoved
def najitOdpoved(parametry):
    preferenceSvetel = [0.0, 0.0, 0.0]  # indexi jsou zarovka, LED, smart zarovka
    zaklad = bazeZnalosti.preferenceMistnosti[parametry[0]][1]  # zaklane preferovane svetlo
    index = bazeFaktu.svetla.index(zaklad)
    preferenceSvetel[index] = 1.0  # preferovane svetlo zacina se skore 1

    # reakce na otazku smart domacnosti
    if (parametry[1] == 0):
        preferenceSvetel[2] += 0.5
    if (parametry[1] == 1):
        preferenceSvetel[2] -= 0.5

    # reakce na otazku intezity pouzivani svetla
    if (parametry[2] == 0):
        preferenceSvetel[1] += 0.5
    if (parametry[2] == 1):
        preferenceSvetel[1] -= 0.5

    # reakce na otazku preference teploty svetla
    if (parametry[3] == 0):
        preferenceSvetel[0] += 0.5
    if (parametry[3] == 1):
        preferenceSvetel[1] += 0.5

    # vyber a vraceni vybraneho svetla
    vytez = 0
    for x in range(0, len(preferenceSvetel)):
        if (preferenceSvetel[x] > preferenceSvetel[vytez]):
            vytez = x
    return bazeFaktu.svetla[vytez].nazev
