"""
Autor: Matěj Vohradský (vohry8@students.zcu.cz)
Datum: 2023-11-01
Program: Baze znalosti
Verze: 1.0.0
"""


# metoda vybere svitidlo podle vlastnosti do loznice
def vyber_do_loznice(vlastnost):
    match vlastnost:
        case 1:
            return 1
        case 2:
            return 0
        case 3:
            return 2
        case 4:
            return 1
        case 5:
            return 0


# metoda vybere svitidlo podle vlastnosti do obyvaciho pokoje
def vyber_do_obyvaciho_pokoje(vlastnost):
    match vlastnost:
        case 1:
            return 1
        case 2:
            return 0
        case 3:
            return 2
        case 4:
            return 1
        case 5:
            return 0


# metoda vybere svitidlo podle vlastnosti do sklepa
def vyber_do_sklepa(vlastnost):
    match vlastnost:
        case 1:
            return 1
        case 2:
            return 2
        case 3:
            return 2
        case 4:
            return 1
        case 5:
            return 0


# metoda vybere svitidlo podle vlastnosti do garaze
def vyber_do_garaze(vlastnost):
    match vlastnost:
        case 1:
            return 1
        case 2:
            return 2
        case 3:
            return 2
        case 4:
            return 1
        case 5:
            return 0


# metoda vybere svitidlo podle vlastnosti do kuchyne
def vyber_do_kuchyne(vlastnost):
    match vlastnost:
        case 1:
            return 1
        case 2:
            return 0
        case 3:
            return 1
        case 4:
            return 1
        case 5:
            return 0


# metoda vybere svitidlo podle vlastnosti do toalety
def vyber_do_toalety(vlastnost):
    match vlastnost:
        case 1:
            return 1
        case 2:
            return 0
        case 3:
            return 2
        case 4:
            return 1
        case 5:
            return 0


# metoda vybere svitidlo podle vlastnosti do chodby
def vyber_do_chodby(vlastnost):
    match vlastnost:
        case 1:
            return 1
        case 2:
            return 0
        case 3:
            return 2
        case 4:
            return 1
        case 5:
            return 0


# metoda vybere svitidlo podle vlastnosti do dilny
def vyber_do_dilny(vlastnost):
    match vlastnost:
        case 1:
            return 1
        case 2:
            return 2
        case 3:
            return 2
        case 4:
            return 1
        case 5:
            return 0


# metoda vybere svitidlo podle vlastnosti do schodiste
def vyber_do_schodiste(vlastnost):
    match vlastnost:
        case 1:
            return 1
        case 2:
            return 0
        case 3:
            return 2
        case 4:
            return 1
        case 5:
            return 0


# metoda vybere svitidlo podle vlastnosti do koupelny
def vyber_do_koupelny(vlastnost):
    match vlastnost:
        case 1:
            return 1
        case 2:
            return 0
        case 3:
            return 1
        case 4:
            return 1
        case 5:
            return 0


# metoda rozhodne kterou metodu pouzije podle pokoje
def vyber_svitidlo(pokoj, vlastnost):
    match pokoj:
        case "ložnice":
            return vyber_do_loznice(vlastnost)
        case "obývací pokoj":
            return vyber_do_obyvaciho_pokoje(vlastnost)
        case "sklep":
            return vyber_do_sklepa(vlastnost)
        case "garáž":
            return vyber_do_garaze(vlastnost)
        case "kuchyně":
            return vyber_do_kuchyne(vlastnost)
        case "toaleta":
            return vyber_do_toalety(vlastnost)
        case "chodba":
            return vyber_do_chodby(vlastnost)
        case "dilna":
            return vyber_do_dilny(vlastnost)
        case "schodiste":
            return vyber_do_schodiste(vlastnost)
        case "koupelna":
            return vyber_do_koupelny(vlastnost)
