"""
expertni system cviceni 5
autor: Miroslav Martinek
inferencni modul ridi proces programu a vytvari odpoved
"""
import baze_dat, baze_znalosti, komunikacni_modul
import vysvetlovaci_modul


# startuje potrebne procesy
def start():
    komunikacni_modul.uvitani()
    design()


# hleda odpoved
def design():
    go = True
    budova = []
    while(go):
        komunikacni_modul.vyber_mistnost()
        vysvetlovaci_modul.vypis_moznosti_mistnosti()
        vstup = -1
        while(vstup == -1):
            vstup = vysvetlovaci_modul.uzivatelsky_vstup(len(baze_dat.mistnosti))
        budova.append([baze_dat.mistnosti[vstup]])

        komunikacni_modul.kolik_svitidel()
        vstup = -1
        while (vstup == -1):
            vstup = vysvetlovaci_modul.uzivatelsky_vstup(1000)
        budova[-1].append(vstup)

        komunikacni_modul.priority()
        vstup = -1
        while (vstup == -1):
            vstup = vysvetlovaci_modul.uzivatelsky_vstup(len(baze_dat.svetla))

        budova[-1].append(baze_dat.svetla[vstup])

        komunikacni_modul.pokracovat()
        vstup = -1
        while (vstup == -1):
            vstup = vysvetlovaci_modul.uzivatelsky_vstup(2)
        if(vstup == 1):
            go = False
    vysvetlovaci_modul.vypis_vysledku(budova)
