"""
Description: Tento modul slouží k vysvětlení volby osvětlení.
Author: Václav Ovsík, ovsikv@students.zcu.cz
Version: 1.0
Date: 6.11.2023
"""
from baze_znalosti import lamp_attributes


def get_reason(lamp):
    """
    Vrati duvod pro pouziti vybraneho svitidla.
    :param lamp: vybrane svitidlo
    :return: duvod pro pouziti vybraneho svitidla
    """
    for attribute, lamp_elem in lamp_attributes.items():
        if lamp == lamp_elem:
            return attribute
